{% extends '@biopama_libraries/biopama-dashboard-page.html.twig' %}

{% block dashboard_menu %}
	{{ attach_library( 'biopama_pame/main' ) }}
	{% include 'pame-assessments-menu.html.twig' %}
{% endblock %}

{% block dashboard_content %}
	<div class="container-fluid mb-2">
		<div class="row">
			<div class="col">
				<div id="data_source" class="text-left">
					Data Source: <a href="https://pame.protectedplanet.net/" target="_blank">Global Database on Protected Area Management Effectiveness (GD-PAME, last updated on 3 February 2021)</a>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12 col-xl-12 col-xxl-8">
				<div class="row bg-gray-1200 opacity-75 m-0 p-2">
					<div class="col-6 my-2">
						<div id="stats-total-assessments-count-acp" class="col-12 text-align-center"></div>
					</div>
					<div class="col-6 my-2">
						<div id="stats-total-assessments-count-non-acp" class="col-12 text-align-center"></div>
					</div>
					<div class="col px-1 ps-2">
						<select class="form-control cql_filters" id="assessment_tools" param="pame_methodology">
							<option value="%">All Methodologies</option>
						</select>
					</div>
					<div class="col px-1">
						<select class="form-control cql_filters" id="assessment_year" param="pame_year">
							<option value="%">All Years</option>
						</select>
					</div>
					<div class="col px-1">
						<select class="form-control cql_filters" id="assessment_region" param="region">
							<option value="%">All Regions</option>
						</select>
					</div>
					<div class="col px-1">
						<select class="form-control cql_filters" id="assessment_country" param="iso3">
							<option value="%">All Countries</option>
						</select>
					</div>
					<div class="col px-1">
						<select class="form-control cql_filters" id="assessment_pa_type" param="pa_type">
							<option value="%">Not Set</option>
						</select>
					</div>
					<div class="col px-1 me-2">
						<button class="btn btn-info w-100" type="button" id="reset_filters">Clear All</button>
					</div>
				</div>
				<div class="row">
					<div class="col mb-2">
					{% include '@biopama_libraries/map.html.twig' %}
					</div>
				</div>
				<div class="row">
					<div class="col">
					{% include '@biopama_libraries/table.html.twig' %}
					</div>
				</div>
			</div>
			<div class="col-md-12 col-lg-12 col-xl-12 col-xxl-4 text-align-center">
				<div class="p-3 mb-2 card updated-card opacity-75 rounded-0">
					<div class="biopama-stats-item biopama-chart p-3" id="stats-assessments-count-by-region"></div>
				</div>
				<div class="p-3 mb-2 card updated-card opacity-75 rounded-0">
					<div class="biopama-stats-item biopama-chart p-3" id="stats-assessments-count-by-country"></div>
				</div>
				<div class="p-3 mb-2 card updated-card opacity-75 rounded-0">
					<div class="biopama-stats-item biopama-chart p-3" id="stats-assessments-count-by-year"></div>
				</div>
				<div class="p-3 mb-2 card updated-card opacity-75 rounded-0">
					<div class="biopama-stats-item biopama-chart p-3" id="stats-assessments-count-by-methodology"></div>
				</div>
			</div>
		</div>
	</div>
{% endblock %}